JOURNAL_UPDATE_FORMA(9)

NAME
journal_update_format - Update on-disk journal structure.

SYNOPSIS

int journal_update_format(journal_t * journal);

ARGUMENTS

journal
    Journal to act on.

DESCRIPTION

Given an initialised but unloaded journal struct, poke about in the on-disk structure to update it to the most recent supported version.

AUTHORS

Roger Gammans <rgammans@computer-surgery.co.uk>
    Author.

Stephen Tweedie <sct@redhat.com>
    Author.

COPYRIGHT